Package org.eclipse.emf.cdo.session.remote

## Interface CDORemoteSessionEvent.SubscriptionChanged

- All Superinterfaces:
    `CDORemoteSessionEvent`, `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    CDORemoteSessionEvent

      public static interface CDORemoteSessionEvent.SubscriptionChanged
      extends CDORemoteSessionEvent

  A `remote session event` fired from a `remote session manager` when the `subscription state` of a `remote session` has changed.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.remote.CDORemoteSessionEvent

      `CDORemoteSessionEvent.MessageReceived, CDORemoteSessionEvent.SubscriptionChanged`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isSubscribed()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.remote.CDORemoteSessionEvent

      `getRemoteSession, getSource`

- - ### Method Detail

    - #### isSubscribed

          boolean isSubscribed()